Topics

PostreSQL versions supported by CF

Stephan Merker
 

Hello CF community,

 

with cf-deployment 6.9.0, the PostgreSQL version of the Postgres bosh release was upgraded from 9.6 to 11.

 

However, the major IaaS providers do not yet support PostgreSQL 11:

- AWS: 9.6 and 10,  11 as preview only

- GCP: 9.6

- Azure: 9.6 and 10

- Alibaba Cloud: 10

 

Do you still support PostgreSQL 9.6 and 10 for CF? Do you test cf-deployment against older PostgreSQL versions?

In case there are regressions with respect to older PostgreSQL versions: Would you regard them as bugs for the different projects contributing to cf-deployment?

 

Best regards,

Stephan

 

[1] https://github.com/cloudfoundry/cf-deployment/releases/tag/v6.9.0

[2] https://github.com/cloudfoundry/postgres-release/releases/tag/v32

 

Dieu Cao
 

I believe generally teams try not to make use of specialized features that necessarily require latest and greatest versions of postgresql. This is largely due to the projects wanting to support both mysql and postgres as an option.
I'm not aware of any project teams planning to make use of features that require postgres 10 or 11.
There's not an explicit minimum version across all project teams that is tested.  

I believe the Release Integration team is using the postgres bosh release in its pipelines, although perhaps Josh Collin and the team can confirm that.

Certainly if an issue crops up, the project teams can consider whether to fix it and could be considered a bug.

-Dieu


On Tue, Jan 22, 2019 at 1:04 AM Stephan Merker <stephan.merker@...> wrote:

Hello CF community,

 

with cf-deployment 6.9.0, the PostgreSQL version of the Postgres bosh release was upgraded from 9.6 to 11.

 

However, the major IaaS providers do not yet support PostgreSQL 11:

- AWS: 9.6 and 10,  11 as preview only

- GCP: 9.6

- Azure: 9.6 and 10

- Alibaba Cloud: 10

 

Do you still support PostgreSQL 9.6 and 10 for CF? Do you test cf-deployment against older PostgreSQL versions?

In case there are regressions with respect to older PostgreSQL versions: Would you regard them as bugs for the different projects contributing to cf-deployment?

 

Best regards,

Stephan

 

[1] https://github.com/cloudfoundry/cf-deployment/releases/tag/v6.9.0

[2] https://github.com/cloudfoundry/postgres-release/releases/tag/v32

 

Stephan Merker
 

Thank you, Dieu.

 

@Josh: Would you document the supported PostgreSQL version range e.g. in https://github.com/cloudfoundry/cf-deployment/blob/master/deployment-guide.md#databases ?

 

Best regards,

Stephan

 

From: cf-dev@... <cf-dev@...> On Behalf Of Dieu Cao
Sent: Donnerstag, 24. Januar 2019 18:25
To: cf-dev <cf-dev@...>
Subject: Re: [cf-dev] PostreSQL versions supported by CF

 

I believe generally teams try not to make use of specialized features that necessarily require latest and greatest versions of postgresql. This is largely due to the projects wanting to support both mysql and postgres as an option.

I'm not aware of any project teams planning to make use of features that require postgres 10 or 11.

There's not an explicit minimum version across all project teams that is tested.  

 

I believe the Release Integration team is using the postgres bosh release in its pipelines, although perhaps Josh Collin and the team can confirm that.

 

Certainly if an issue crops up, the project teams can consider whether to fix it and could be considered a bug.

 

-Dieu

 

On Tue, Jan 22, 2019 at 1:04 AM Stephan Merker <stephan.merker@...> wrote:

Hello CF community,

 

with cf-deployment 6.9.0, the PostgreSQL version of the Postgres bosh release was upgraded from 9.6 to 11.

 

However, the major IaaS providers do not yet support PostgreSQL 11:

- AWS: 9.6 and 10,  11 as preview only

- GCP: 9.6

- Azure: 9.6 and 10

- Alibaba Cloud: 10

 

Do you still support PostgreSQL 9.6 and 10 for CF? Do you test cf-deployment against older PostgreSQL versions?

In case there are regressions with respect to older PostgreSQL versions: Would you regard them as bugs for the different projects contributing to cf-deployment?

 

Best regards,

Stephan

 

[1] https://github.com/cloudfoundry/cf-deployment/releases/tag/v6.9.0

[2] https://github.com/cloudfoundry/postgres-release/releases/tag/v32